Name:           mysql-gui-tools
Version:        5.0r14
Release:        1%{?dist}
Summary:        GUI tools to manage mysql Databases

Group:          Applications/Databases
License:        GPLv2+
URL:            http://www.mysql.com/products/tools/administrator/index.html
Source0:        http://dev.mysql.com/get/Downloads/MySQLAdministrationSuite/mysql-gui-tools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         mysql-gui-tools-5.0r12-DEBUG.patch
Patch1:         mysql-query-browser-default_schema_infinite_loop.patch
Patch2:         mysql-gui-tools-5.0_p12-gcc-4.3.patch
Patch3:         mysql-gui-tools-5.0_p12-libsigc++-2.2.patch
Patch4:         mysql-gui-tools-gtksourceview-cflags.patch
Patch5:         mysql-gui-tools-5.0r14-common.patch
Patch6:         gtk_deprecated_typedefs.patch
Patch7:         mysql-gui-tools-5.0r14-common-cleanup.patch

BuildRequires:  libglade2-devel, gtkmm24-devel >= 2.6 , pcre-devel, mysql-devel >= 4.0
BuildRequires:  openssl-devel, gtkhtml3-devel, desktop-file-utils, gettext
BuildRequires:  mesa-libGLU-devel, python-devel, autoconf, automake
BuildRequires:  libtool, expat-devel, readline-devel, perl-devel
BuildRequires:  libgnomeprint22-devel, libgnome-devel
BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  automake autoconf perl(XML::Parser)

Requires:       mysql-administrator, mysql-query-browser

%description
MySQL Administrator enables developers and DBAs to easily perform 
all the command line operations visually including configuring servers,
administering users, and dynamically monitoring database health. Other 
common administrative tasks such as monitoring replication status, 
backup and restore, and viewing logs can also be performed through the 
MySQL Administrator graphical console.

%package     -n mysql-administrator
Summary:      GUI tools to manage mysql Databases
Group:        Applications/Databases
Requires:     mysql-gui-common = %{version}-%{release}

%description -n mysql-administrator
MySQL Administrator enables developers and DBAs to easily perform
all the command line operations visually including configuring servers,
administering users, and dynamically monitoring database health. Other
common administrative tasks such as monitoring replication status,
backup and restore, and viewing logs can also be performed through the
MySQL Administrator graphical console.

%package     -n mysql-query-browser
Summary:       A graphical tool for handling MySQL queries 
Group:          Applications/Databases
Requires:     mysql-gui-common = %{version}-%{release}

%description -n mysql-query-browser
The MySQL Query Browser is a graphical tool provided by MySQL AB for creating,
executing, and optimizing queries in a graphical environment. Where the MySQL
Administrator is designed to administer a MySQL server, the MySQL Query
Browser is designed to help you query and analyze data stored within your MySQL
database.

%package     -n mysql-gui-common
Summary:        Common data shared among the MySQL GUI Suites
Group:          System Environment/Libraries

%description -n mysql-gui-common
This package contains  glade files images and translations used by mysql tools
at runtime


%prep
%setup -q 
%patch0 -p1 -b .shellbang
%patch1 -p1 -b .loop
%patch2 -p0 -b .gcc43
%patch3 -p1 -b .sigc++
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

#ln -s administrator mysql-administrator
#ln -s common mysql-gui-common
#ln -s migration-tool mysql-migration-tool
#ln -s query-browser mysql-query-browser

# rpmlint complains that the debuginfo packages have a bunch of files with wrong eol
# and executeable perms lets use a hammer and fix it
find . -name "*.h" -exec chmod 644 {} \;
find . -name "*.h" -exec sed -i 's/\r//' {} \;
find . -name "*.cc" -exec chmod 644 {} \;
find . -name "*.cc" -exec sed -i 's/\r//' {} \;
find . -name "*.c" -exec chmod 644 {} \;
find . -name "*.c" -exec sed -i 's/\r//' {} \;
find . -name "*.cpp" -exec chmod 644 {} \;
find . -name "*.cpp" -exec sed -i 's/\r//' {} \;

%build
pushd  common
sh autogen.sh
%configure --enable-php-modules \
        --enable-python-modules \
        --enable-readline \
%ifarch x86_64 ppc64 sparc64
        --with-java-includes=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.%{_arch}/include
%else
        --with-java-includes=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/include
%endif
make %{?_smp_mflags}
popd

pushd administrator
sh autogen.sh
%configure
make %{?_smp_mflags}
popd

pushd query-browser
sh autogen.sh --with-gtkhtml=libgtkhtml-3.14
%configure --with-gtkhtml=libgtkhtml-3.14
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd common
chmod 644 COPYING README
make install DESTDIR=$RPM_BUILD_ROOT
popd

pushd administrator
chmod 644 COPYING
make install DESTDIR=$RPM_BUILD_ROOT
popd

pushd query-browser
chmod 644 COPYING
make install DESTDIR=$RPM_BUILD_ROOT
popd

# MySQL  use dos new line characters  that desktop-file-install doesn't like
# MySQL  also use dos new line endings in there documantation files rpmlint didn't like them
sed -i 's/\r//' $RPM_BUILD_ROOT%{_datadir}/applications/MySQLAdministrator.desktop
sed -i 's/\r//' $RPM_BUILD_ROOT%{_datadir}/applications/MySQLQueryBrowser.desktop
sed -i 's/\r//' administrator/COPYING common/COPYING common/README 
sed -i 's/\r//' query-browser/COPYING 

desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category System \
  --add-category Application \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/MySQLAdministrator.desktop

desktop-file-install --vendor=fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Development \
  --add-category Application \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/MySQLQueryBrowser.desktop


%find_lang mysql-administrator
%find_lang mysql-query-browser


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc administrator/COPYING

%files -n mysql-administrator -f mysql-administrator.lang
%defattr(-,root,root,-)
%doc administrator/COPYING 
%{_bindir}/mabackup
%{_bindir}/mysql-administrator
%{_bindir}/mysql-administrator-bin
%{_datadir}/applications/fedora-MySQLAdministrator.desktop
%{_datadir}/mysql-gui/MySQLIcon_Admin_*.png
%{_datadir}/mysql-gui/administrator

%files -n mysql-gui-common
%defattr(-,root,root,-)
%doc common/COPYING common/README
%dir %{_datadir}/mysql-gui
%{_datadir}/mysql-gui/common

%files -n mysql-query-browser -f mysql-query-browser.lang
%defattr(-,root,root,-)
%doc query-browser/COPYING 
%{_bindir}/mysql-query-browser*
%{_datadir}/applications/fedora-MySQLQueryBrowser.desktop
%{_datadir}/mysql-gui/query-browser
%{_datadir}/mysql-gui/MySQLIcon_QueryBrowser_*.png


%changelog
* Mon Aug 31 2009 Dennis Gilmore <dennis@ausil.us> - 5.0r14-1
- update to 5.0r14

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 5.0r12-13
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0r12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0r12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Dennis Gilmore <dennis@ausil.us> - 5.0r12-10
- rebuild for new mysql

* Mon Sep 15 2008 Dennis Gilmore <dennis@ausil.us> - 5.0r12-9
- apply patch from Pavel Alexeev for gtk 
- bugzilla #433987

* Tue Jul 08 2008 Dennis Gilmore <dennis@ausil.us> - 5.0r12-8
- apply patch for gcc-4.3  from gentoo
- use openjdk for building 

* Mon Jul  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.0r12-7
- fix conditional comparison

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 5.0r12-6
- Autorebuild for GCC 4.3

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 5.0r12-5
- Rebuild for deps

* Tue Nov 27 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r12-4
- apply patch that fixes bug 266781

* Tue Aug 28 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r12-3
- rebuild for ppc32 selinux issue.  clarify license GPLv2+

* Sun Jun 17 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r12-2
- add changelog entry 

* Sun Jun 17 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r12-1
- update to 5.0r12

* Tue Apr 10 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r11-3
- drop BR on gtksourceview-devel and newt-devel

* Sun Apr 08 2007 Dennis Gilmore <dennis@ausil.us> - 5.0r11-2
- change where the r11 goes 
- make a mysql-gui-tools package which requires everything
- make mysql-administrator and mysql-query-browser require mysql-gui-common

* Fri Mar 30 2007 Dennis Gilmore <dennis@ausil.us> - 5.0-1.r11
- update to 5.0 release 11

* Mon Mar 05 2007 Dennis Gilmore <dennis@ausil.us> - 5.0-1.r10
- initial build
